
package de.ivu.elect.presentation.geodata.exchange;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.exchange.control.NoContext;
import de.ivu.elect.business.geodata.boundary.GeodataOrtImporter;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.exchange.AbstractImportFormatFestlegenView;
import de.ivu.elect.presentation.exchange.ImportDescription;

@Named(GeodataOrtImportFormatFestlegenView.COMPONENT_NAME)
@View(viewId = GeodataOrtImportFormatFestlegenView.VIEW_ID, useCase = UseCasePermission.GEODATA_ORT_IMPORTIEREN)
public class GeodataOrtImportFormatFestlegenView extends AbstractImportFormatFestlegenView<NoContext> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "geodataOrtImportFormatFestlegenView";

  public static final String VIEW_ID = "/geodata/geodata-ort-import-format-festlegen.xhtml";

  @Inject
  private GeodataOrtImportDescription importDescription;

  @Inject
  private GeodataOrtImporter importer;

  public GeodataOrtImportFormatFestlegenView() {
    super();
  }

  @Override
  protected ImportDescription getImportDescription() {
    return importDescription;
  }

  @Override
  protected GeodataOrtImporter getImporter() {
    return importer;
  }

  @Override
  protected NoContext getContext() {
    return NoContext.NO_CONTEXT;
  }
}
